Page MenuHomePhabricator

Make the "year" field default to the current year on [[Special:Contribs]]
Closed, ResolvedPublic

Description

Same as bug 41330 (fixed by Gerrit change #39017), but now for the list of contributions. E.g:
https://en.wikipedia.org/wiki/Special:Contributions/Jimbo_Wales


Version: 1.21.x
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=41330

Details

Reference
bz45580

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:36 AM
bzimport set Reference to bz45580.
He7d3r created this task.Feb 28 2013, 8:29 PM

severity=enhancement (feel free to set when reporting)

I'm against this change.

On history pages the filter is only date, and tag filter. In Special:Contributions the filter can be also the namespace.

I believe it's more common to use the filter by namespace than to reach a specific date. Having a default year sticked there could pass unadvertised to people that want to filter by namespace, or just annoy people that need to manually clear out that field.

If you ask me, I'd be also against bug 41330 for similar reasons, and instead propose that field to be a free text input to paste a date (like the expiry in page protection or user block) so one can put "1 year" or a specific date.

(In reply to comment #2)

I believe it's more common to use the filter by namespace than to reach a
specific date. Having a default year sticked there could pass unadvertised to
people that want to filter by namespace, or just annoy people that need to
manually clear out that field.

Why would anyone need to clear that field? The result seems to be the same if its value is empty or the current year. And having the current year there would avoid the confusing/useless "-1" which appears if I click in the down arrow.

Whoops, sorry. I though it would filter edits only in that year, not up to that year.

About the -1, it seems to be a browser bug, not reproducible on latest Firefox.

He7d3r added a comment.Mar 2 2013, 6:19 PM

I only see the arrows on Google Chrome (see bug 41330 comment 4).

Related URL: https://gerrit.wikimedia.org/r/59393 (Gerrit Change I720946e7a37ca5a639c3ac786fc863020929cf1a)

IAlex added a comment.Apr 23 2013, 7:37 AM

Change merged.

Related URL: https://gerrit.wikimedia.org/r/62619 (Gerrit Change I5341ff8c0d0422b9b3184dce74f0f143822cfe93)